# Class CollectHiSeqXPfFailMetrics.PFFailSummaryMetric

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.illumina.quality.CollectHiSeqXPfFailMetrics.PFFailSummaryMetric

Enclosing class:
  `CollectHiSeqXPfFailMetrics`

@DocumentedFeature(groupName="Metrics", summary="Metrics") public static class CollectHiSeqXPfFailMetrics.PFFailSummaryMetric extends htsjdk.samtools.metrics.MetricBase
Metrics produced by the GetHiSeqXPFFailMetrics program. Used to diagnose lanes from HiSeqX Sequencing, providing the number and fraction of each of the reasons that reads could have not passed PF. Possible reasons are EMPTY (reads from empty wells with no template strand), POLYCLONAL (reads from wells that had more than one strand cloned in them), MISALIGNED (reads from wells that are near the edge of the tile), UNKNOWN (reads that didn't pass PF but couldn't be diagnosed)

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`PCT_PF_FAIL_EMPTY`
The fraction of non-PF reads in this tile that are deemed empty (as fraction of all non-PF reads).
`double`
`PCT_PF_FAIL_MISALIGNED`
The fraction of non-PF reads in this tile that are deemed "misaligned" (as fraction of all non-PF reads).
`double`
`PCT_PF_FAIL_POLYCLONAL`
The fraction of non-PF reads in this tile that are deemed multiclonal (as fraction of all non-PF reads).
`double`
`PCT_PF_FAIL_READS`
The fraction of PF_READS
`double`
`PCT_PF_FAIL_UNKNOWN`
The fraction of non-PF reads in this tile that have not been classified (as fraction of all non-PF reads).
`int`
`PF_FAIL_EMPTY`
The number of non-PF reads in this tile that are deemed empty.
`int`
`PF_FAIL_MISALIGNED`
The number of non-PF reads in this tile that are deemed "misaligned".
`int`
`PF_FAIL_POLYCLONAL`
The number of non-PF reads in this tile that are deemed multiclonal.
`int`
`PF_FAIL_READS`
The number of non-PF reads in this tile.
`int`
`PF_FAIL_UNKNOWN`
The number of non-PF reads in this tile that have not been classified.
`int`
`READS`
The total number of reads examined
`String`
`TILE`
The Tile that is described by this metric.

## Constructor Summary

Constructors
Constructor
Description
`PFFailSummaryMetric()`
This ctor is necessary for when reading metrics from file
`PFFailSummaryMetric(String tile)`

## Method Summary

Modifier and Type
Method
Description
`void`
`calculateDerivedFields()`
`void`
`merge(CollectHiSeqXPfFailMetrics.PFFailSummaryMetric metric)`
Adds the non-calculated fields from the other metric to this one.

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### TILE

public String TILE
The Tile that is described by this metric. Can be a string (like "All") to mean some marginal over tiles. *

### READS

public int READS
The total number of reads examined

### PF_FAIL_READS

public int PF_FAIL_READS
The number of non-PF reads in this tile.

### PCT_PF_FAIL_READS

public double PCT_PF_FAIL_READS
The fraction of PF_READS

### PF_FAIL_EMPTY

public int PF_FAIL_EMPTY
The number of non-PF reads in this tile that are deemed empty.

### PCT_PF_FAIL_EMPTY

public double PCT_PF_FAIL_EMPTY
The fraction of non-PF reads in this tile that are deemed empty (as fraction of all non-PF reads).

### PF_FAIL_POLYCLONAL

public int PF_FAIL_POLYCLONAL
The number of non-PF reads in this tile that are deemed multiclonal.

### PCT_PF_FAIL_POLYCLONAL

public double PCT_PF_FAIL_POLYCLONAL
The fraction of non-PF reads in this tile that are deemed multiclonal (as fraction of all non-PF reads).

### PF_FAIL_MISALIGNED

public int PF_FAIL_MISALIGNED
The number of non-PF reads in this tile that are deemed "misaligned".

### PCT_PF_FAIL_MISALIGNED

public double PCT_PF_FAIL_MISALIGNED
The fraction of non-PF reads in this tile that are deemed "misaligned" (as fraction of all non-PF reads).

### PF_FAIL_UNKNOWN

public int PF_FAIL_UNKNOWN
The number of non-PF reads in this tile that have not been classified.

### PCT_PF_FAIL_UNKNOWN

public double PCT_PF_FAIL_UNKNOWN
The fraction of non-PF reads in this tile that have not been classified (as fraction of all non-PF reads).

## Constructor Details

### PFFailSummaryMetric

public PFFailSummaryMetric(String tile)

### PFFailSummaryMetric

public PFFailSummaryMetric()
This ctor is necessary for when reading metrics from file

## Method Details

### merge

public void merge(CollectHiSeqXPfFailMetrics.PFFailSummaryMetric metric)
Adds the non-calculated fields from the other metric to this one.

Parameters:
  `metric` -

### calculateDerivedFields

public void calculateDerivedFields()